[arch-commits] Commit in ilmbase/repos (12 files)
Tobias Powalowski
tpowa at nymeria.archlinux.org
Thu May 15 15:46:03 UTC 2014
Date: Thursday, May 15, 2014 @ 17:46:03
Author: tpowa
Revision: 212834
db-move: moved ilmbase from [staging] to [testing] (i686, x86_64)
Added:
ilmbase/repos/testing-i686/
ilmbase/repos/testing-i686/PKGBUILD
(from rev 212832, ilmbase/repos/staging-i686/PKGBUILD)
ilmbase/repos/testing-i686/ilmbase-1.0.3-pkgconfig.patch
(from rev 212832, ilmbase/repos/staging-i686/ilmbase-1.0.3-pkgconfig.patch)
ilmbase/repos/testing-i686/ilmbase-2.0.1-no_undefined.patch
(from rev 212832, ilmbase/repos/staging-i686/ilmbase-2.0.1-no_undefined.patch)
ilmbase/repos/testing-i686/ilmbase-IexMath.patch
(from rev 212832, ilmbase/repos/staging-i686/ilmbase-IexMath.patch)
ilmbase/repos/testing-x86_64/
ilmbase/repos/testing-x86_64/PKGBUILD
(from rev 212832, ilmbase/repos/staging-x86_64/PKGBUILD)
ilmbase/repos/testing-x86_64/ilmbase-1.0.3-pkgconfig.patch
(from rev 212832, ilmbase/repos/staging-x86_64/ilmbase-1.0.3-pkgconfig.patch)
ilmbase/repos/testing-x86_64/ilmbase-2.0.1-no_undefined.patch
(from rev 212832, ilmbase/repos/staging-x86_64/ilmbase-2.0.1-no_undefined.patch)
ilmbase/repos/testing-x86_64/ilmbase-IexMath.patch
(from rev 212832, ilmbase/repos/staging-x86_64/ilmbase-IexMath.patch)
Deleted:
ilmbase/repos/staging-i686/
ilmbase/repos/staging-x86_64/
-------------------------------------------------+
testing-i686/PKGBUILD | 46 ++++++++++++++++++++++
testing-i686/ilmbase-1.0.3-pkgconfig.patch | 8 +++
testing-i686/ilmbase-2.0.1-no_undefined.patch | 24 +++++++++++
testing-i686/ilmbase-IexMath.patch | 12 +++++
testing-x86_64/PKGBUILD | 46 ++++++++++++++++++++++
testing-x86_64/ilmbase-1.0.3-pkgconfig.patch | 8 +++
testing-x86_64/ilmbase-2.0.1-no_undefined.patch | 24 +++++++++++
testing-x86_64/ilmbase-IexMath.patch | 12 +++++
8 files changed, 180 insertions(+)
Copied: ilmbase/repos/testing-i686/PKGBUILD (from rev 212832, ilmbase/repos/staging-i686/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD (rev 0)
+++ testing-i686/PKGBUILD 2014-05-15 15:46:03 UTC (rev 212834)
@@ -0,0 +1,46 @@
+# $Id: PKGBUILD 356 2008-04-18 22:56:27Z aaron $
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+
+pkgname=ilmbase
+pkgver=2.1.0
+pkgrel=1
+depends=('gcc-libs')
+pkgdesc="Base libraries from ILM for OpenEXR"
+arch=(i686 x86_64)
+url="http://www.openexr.com"
+license=('custom')
+source=(http://download.savannah.nongnu.org/releases/openexr/$pkgname-$pkgver.tar.gz
+ ilmbase-2.0.1-no_undefined.patch
+ ilmbase-1.0.3-pkgconfig.patch)
+
+prepare() {
+ cd "${srcdir}/$pkgname-$pkgver"
+ # patches from fedora
+ patch -p1 -i ../ilmbase-2.0.1-no_undefined.patch
+ patch -p1 -i ../ilmbase-1.0.3-pkgconfig.patch
+}
+
+build() {
+ cd "${srcdir}/$pkgname-$pkgver"
+ ./configure --prefix=/usr
+ # manually set PTHREAD_LIBS to include -lpthread until libtool bogosity is fixed,
+ # https://bugzilla.redhat.com/show_bug.cgi?id=661333
+ make PTHREAD_LIBS="-pthread -lpthread"
+}
+
+check() {
+ cd "${srcdir}/$pkgname-$pkgver"
+ # one of the tests fails randomly for an unknown reason
+ make check || true
+}
+
+package() {
+ cd "${srcdir}/$pkgname-$pkgver"
+ make DESTDIR="${pkgdir}" install
+ install -D -m644 COPYING "$pkgdir/usr/share/licenses/$pkgname/COPYING"
+}
+md5sums=('8ba2f608191ad020e50277d8a3ba0850'
+ '27ff3915e03964f85a9e9fb896a93479')
+md5sums=('8ba2f608191ad020e50277d8a3ba0850'
+ '27ff3915e03964f85a9e9fb896a93479'
+ 'ed3eb3dfa2393adc6829cc9ca8caa0ff')
Copied: ilmbase/repos/testing-i686/ilmbase-1.0.3-pkgconfig.patch (from rev 212832, ilmbase/repos/staging-i686/ilmbase-1.0.3-pkgconfig.patch)
===================================================================
--- testing-i686/ilmbase-1.0.3-pkgconfig.patch (rev 0)
+++ testing-i686/ilmbase-1.0.3-pkgconfig.patch 2014-05-15 15:46:03 UTC (rev 212834)
@@ -0,0 +1,8 @@
+diff -up ilmbase-1.0.3/IlmBase.pc.in.pkgconfig ilmbase-1.0.3/IlmBase.pc.in
+--- ilmbase-1.0.3/IlmBase.pc.in.pkgconfig 2012-07-17 18:27:25.000000000 -0500
++++ ilmbase-1.0.3/IlmBase.pc.in 2012-09-08 11:11:15.913468312 -0500
+@@ -9,3 +9,4 @@ Description: Base math and exception lib
+ Version: @ILMBASE_VERSION@
+ Libs: -L${libdir} -lImath -lHalf -lIex -lIexMath -lIlmThread @PTHREAD_LIBS@
+ Cflags: @PTHREAD_CFLAGS@ -I${OpenEXR_includedir}
++Requires.private: gl glu
Copied: ilmbase/repos/testing-i686/ilmbase-2.0.1-no_undefined.patch (from rev 212832, ilmbase/repos/staging-i686/ilmbase-2.0.1-no_undefined.patch)
===================================================================
--- testing-i686/ilmbase-2.0.1-no_undefined.patch (rev 0)
+++ testing-i686/ilmbase-2.0.1-no_undefined.patch 2014-05-15 15:46:03 UTC (rev 212834)
@@ -0,0 +1,24 @@
+diff -up ilmbase-2.0.1/IlmThread/Makefile.am.no_undefined ilmbase-2.0.1/IlmThread/Makefile.am
+--- ilmbase-2.0.1/IlmThread/Makefile.am.no_undefined 2013-06-18 14:51:38.000000000 -0500
++++ ilmbase-2.0.1/IlmThread/Makefile.am 2013-08-28 21:04:25.793391766 -0500
+@@ -14,7 +14,7 @@ libIlmThread_la_LDFLAGS = -version-info
+ if LIB_SUFFIX_EXISTS
+ libIlmThread_la_LDFLAGS += -release @LIB_SUFFIX@
+ endif
+-libIlmThread_la_LIBADD = ../Iex/libIex.la
++libIlmThread_la_LIBADD = ../Iex/libIex.la $(PTHREAD_LIBS)
+
+ libIlmThreadincludedir = $(includedir)/OpenEXR
+
+diff -up ilmbase-2.0.1/IlmThread/Makefile.in.no_undefined ilmbase-2.0.1/IlmThread/Makefile.in
+--- ilmbase-2.0.1/IlmThread/Makefile.in.no_undefined 2013-06-18 14:55:24.000000000 -0500
++++ ilmbase-2.0.1/IlmThread/Makefile.in 2013-08-28 21:04:55.395049371 -0500
+@@ -253,7 +253,7 @@ libIlmThread_la_SOURCES = IlmThreadPool.
+
+ libIlmThread_la_LDFLAGS = -version-info @LIBTOOL_VERSION@ \
+ -no-undefined $(am__append_1)
+-libIlmThread_la_LIBADD = ../Iex/libIex.la
++libIlmThread_la_LIBADD = ../Iex/libIex.la $(PTHREAD_LIBS)
+ libIlmThreadincludedir = $(includedir)/OpenEXR
+ libIlmThreadinclude_HEADERS = IlmThreadPool.h IlmThread.h \
+ IlmThreadSemaphore.h IlmThreadMutex.h \
Copied: ilmbase/repos/testing-i686/ilmbase-IexMath.patch (from rev 212832, ilmbase/repos/staging-i686/ilmbase-IexMath.patch)
===================================================================
--- testing-i686/ilmbase-IexMath.patch (rev 0)
+++ testing-i686/ilmbase-IexMath.patch 2014-05-15 15:46:03 UTC (rev 212834)
@@ -0,0 +1,12 @@
+--- IexMath/IexMathFpu.cpp.orig 2012-07-26 20:51:55.000000000 +0200
++++ IexMath/IexMathFpu.cpp 2012-10-04 15:30:47.000000000 +0200
+@@ -27,8 +27,7 @@
+ #endif
+
+
+-#ifdef HAVE_UCONTEXT_H
+-
++#if defined(HAVE_UCONTEXT_H) && (defined(x86_64) || defined(i386_))
+
+ #include <ucontext.h>
+ #include <signal.h>
Copied: ilmbase/repos/testing-x86_64/PKGBUILD (from rev 212832, ilmbase/repos/staging-x86_64/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD (rev 0)
+++ testing-x86_64/PKGBUILD 2014-05-15 15:46:03 UTC (rev 212834)
@@ -0,0 +1,46 @@
+# $Id: PKGBUILD 356 2008-04-18 22:56:27Z aaron $
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+
+pkgname=ilmbase
+pkgver=2.1.0
+pkgrel=1
+depends=('gcc-libs')
+pkgdesc="Base libraries from ILM for OpenEXR"
+arch=(i686 x86_64)
+url="http://www.openexr.com"
+license=('custom')
+source=(http://download.savannah.nongnu.org/releases/openexr/$pkgname-$pkgver.tar.gz
+ ilmbase-2.0.1-no_undefined.patch
+ ilmbase-1.0.3-pkgconfig.patch)
+
+prepare() {
+ cd "${srcdir}/$pkgname-$pkgver"
+ # patches from fedora
+ patch -p1 -i ../ilmbase-2.0.1-no_undefined.patch
+ patch -p1 -i ../ilmbase-1.0.3-pkgconfig.patch
+}
+
+build() {
+ cd "${srcdir}/$pkgname-$pkgver"
+ ./configure --prefix=/usr
+ # manually set PTHREAD_LIBS to include -lpthread until libtool bogosity is fixed,
+ # https://bugzilla.redhat.com/show_bug.cgi?id=661333
+ make PTHREAD_LIBS="-pthread -lpthread"
+}
+
+check() {
+ cd "${srcdir}/$pkgname-$pkgver"
+ # one of the tests fails randomly for an unknown reason
+ make check || true
+}
+
+package() {
+ cd "${srcdir}/$pkgname-$pkgver"
+ make DESTDIR="${pkgdir}" install
+ install -D -m644 COPYING "$pkgdir/usr/share/licenses/$pkgname/COPYING"
+}
+md5sums=('8ba2f608191ad020e50277d8a3ba0850'
+ '27ff3915e03964f85a9e9fb896a93479')
+md5sums=('8ba2f608191ad020e50277d8a3ba0850'
+ '27ff3915e03964f85a9e9fb896a93479'
+ 'ed3eb3dfa2393adc6829cc9ca8caa0ff')
Copied: ilmbase/repos/testing-x86_64/ilmbase-1.0.3-pkgconfig.patch (from rev 212832, ilmbase/repos/staging-x86_64/ilmbase-1.0.3-pkgconfig.patch)
===================================================================
--- testing-x86_64/ilmbase-1.0.3-pkgconfig.patch (rev 0)
+++ testing-x86_64/ilmbase-1.0.3-pkgconfig.patch 2014-05-15 15:46:03 UTC (rev 212834)
@@ -0,0 +1,8 @@
+diff -up ilmbase-1.0.3/IlmBase.pc.in.pkgconfig ilmbase-1.0.3/IlmBase.pc.in
+--- ilmbase-1.0.3/IlmBase.pc.in.pkgconfig 2012-07-17 18:27:25.000000000 -0500
++++ ilmbase-1.0.3/IlmBase.pc.in 2012-09-08 11:11:15.913468312 -0500
+@@ -9,3 +9,4 @@ Description: Base math and exception lib
+ Version: @ILMBASE_VERSION@
+ Libs: -L${libdir} -lImath -lHalf -lIex -lIexMath -lIlmThread @PTHREAD_LIBS@
+ Cflags: @PTHREAD_CFLAGS@ -I${OpenEXR_includedir}
++Requires.private: gl glu
Copied: ilmbase/repos/testing-x86_64/ilmbase-2.0.1-no_undefined.patch (from rev 212832, ilmbase/repos/staging-x86_64/ilmbase-2.0.1-no_undefined.patch)
===================================================================
--- testing-x86_64/ilmbase-2.0.1-no_undefined.patch (rev 0)
+++ testing-x86_64/ilmbase-2.0.1-no_undefined.patch 2014-05-15 15:46:03 UTC (rev 212834)
@@ -0,0 +1,24 @@
+diff -up ilmbase-2.0.1/IlmThread/Makefile.am.no_undefined ilmbase-2.0.1/IlmThread/Makefile.am
+--- ilmbase-2.0.1/IlmThread/Makefile.am.no_undefined 2013-06-18 14:51:38.000000000 -0500
++++ ilmbase-2.0.1/IlmThread/Makefile.am 2013-08-28 21:04:25.793391766 -0500
+@@ -14,7 +14,7 @@ libIlmThread_la_LDFLAGS = -version-info
+ if LIB_SUFFIX_EXISTS
+ libIlmThread_la_LDFLAGS += -release @LIB_SUFFIX@
+ endif
+-libIlmThread_la_LIBADD = ../Iex/libIex.la
++libIlmThread_la_LIBADD = ../Iex/libIex.la $(PTHREAD_LIBS)
+
+ libIlmThreadincludedir = $(includedir)/OpenEXR
+
+diff -up ilmbase-2.0.1/IlmThread/Makefile.in.no_undefined ilmbase-2.0.1/IlmThread/Makefile.in
+--- ilmbase-2.0.1/IlmThread/Makefile.in.no_undefined 2013-06-18 14:55:24.000000000 -0500
++++ ilmbase-2.0.1/IlmThread/Makefile.in 2013-08-28 21:04:55.395049371 -0500
+@@ -253,7 +253,7 @@ libIlmThread_la_SOURCES = IlmThreadPool.
+
+ libIlmThread_la_LDFLAGS = -version-info @LIBTOOL_VERSION@ \
+ -no-undefined $(am__append_1)
+-libIlmThread_la_LIBADD = ../Iex/libIex.la
++libIlmThread_la_LIBADD = ../Iex/libIex.la $(PTHREAD_LIBS)
+ libIlmThreadincludedir = $(includedir)/OpenEXR
+ libIlmThreadinclude_HEADERS = IlmThreadPool.h IlmThread.h \
+ IlmThreadSemaphore.h IlmThreadMutex.h \
Copied: ilmbase/repos/testing-x86_64/ilmbase-IexMath.patch (from rev 212832, ilmbase/repos/staging-x86_64/ilmbase-IexMath.patch)
===================================================================
--- testing-x86_64/ilmbase-IexMath.patch (rev 0)
+++ testing-x86_64/ilmbase-IexMath.patch 2014-05-15 15:46:03 UTC (rev 212834)
@@ -0,0 +1,12 @@
+--- IexMath/IexMathFpu.cpp.orig 2012-07-26 20:51:55.000000000 +0200
++++ IexMath/IexMathFpu.cpp 2012-10-04 15:30:47.000000000 +0200
+@@ -27,8 +27,7 @@
+ #endif
+
+
+-#ifdef HAVE_UCONTEXT_H
+-
++#if defined(HAVE_UCONTEXT_H) && (defined(x86_64) || defined(i386_))
+
+ #include <ucontext.h>
+ #include <signal.h>
More information about the arch-commits
mailing list